Wireshark 2.9.0-477-g68ec514b The Wireshark network protocol analyzer

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Slots | Signals | Public Member Functions | Static Public Member Functions | List of all members
CaptureFile Class Reference
Inheritance diagram for CaptureFile:

## Public Slots
void | retapPackets ()
void | delayedRetapPackets ()
void | stopLoading ()
void | setCaptureStopFlag (bool stop_flag=true)

## Signals
void | captureEvent (CaptureEvent)

## Public Member Functions
| CaptureFile (QObject *parent=0, capture_file *cap_file=NULL)
capture_file * | capFile () const
void | setCapFile (capture_file *cap_file)
bool | isValid () const
int | currentRow ()
const QString | fileTitle ()
const QString | fileName ()
struct _packet_info * | packetInfo ()
int | timestampPrecision ()
void | reload ()
gpointer | window ()

## Static Public Member Functions
static capture_file * | globalCapFile ()

## Member Function Documentation

int CaptureFile::currentRow | ( |  | ) |

Get the current selected row

Returns
  the current selected index of the packet list if the capture file is open and a packet is selected, otherwise -1.

void CaptureFile::delayedRetapPackets | ( |  | ) |
| slot

Retap the capture file after the current batch of application events is processed. If you call this instead of retapPackets or cf_retap_packets in a dialog's constructor it will be displayed before tapping starts.

const QString CaptureFile::fileName | ( |  | ) |

Return the plain filename.

Returns
  The basename of the capture file without an extension.

const QString CaptureFile::fileTitle | ( |  | ) |
| inline

Return a filename suitable for use in a window title.

Returns
  One of: the basename of the capture file without an extension, the basename followed by "[closing]", "[closed]", or "[no capture file]".

bool CaptureFile::isValid | ( |  | ) | const

Check capture file validity

Returns
  true if the file is open, readable, and tappable. false if the file is closed.

struct _packet_info * CaptureFile::packetInfo | ( |  | ) |

Return the current packet information.

Returns
  A pointer to the current packet_info struct or NULL.

void CaptureFile::reload | ( |  | ) |

Reload the capture file

void CaptureFile::retapPackets | ( |  | ) |
| slot

Retap the capture file. Convenience wrapper for cf_retap_packets. Application events are processed periodically via update_progress_dlg.

void CaptureFile::setCaptureStopFlag | ( | bool | stop_flag = `true` | ) |
| slot

Sets the capture file's "stop_flag" member.

Parameters

  stop_flag | If true, stops the current capture file operation.

void CaptureFile::stopLoading | ( |  | ) |
| slot

Cancel any tapping that might be in progress.

int CaptureFile::timestampPrecision | ( |  | ) |

Timestamp precision for the current file.

Returns
  One of the WTAP_TSPREC_x values defined in wiretap/wtap.h, or WTAP_TSPREC_UNKNOWN if no file is open.

The documentation for this class was generated from the following files:

- /home/wireshark/builders/wireshark-master/ubuntu-16.04-x64/build/ui/qt/capture_file.h
- ui/qt/moc_capture_file.cpp
- /home/wireshark/builders/wireshark-master/ubuntu-16.04-x64/build/ui/qt/capture_file.cpp